# Send Customer Message

## Add internal notes

<mark style="color:green;">`POST`</mark> `{baseUrl}/drops/publicNotes`

Add a public note on deliveries by providing an array of dropIds.

#### Headers

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| app\_id<mark style="color:red;">\*</mark>     | String |             |
| app\_secret<mark style="color:red;">\*</mark> | String |             |

#### Request Body

| Name                                      | Type           | Description |
| ----------------------------------------- | -------------- | ----------- |
| dropIds<mark style="color:red;">\*</mark> | Array\<String> |             |
| note<mark style="color:red;">\*</mark>    | String         |             |

{% tabs %}
{% tab title="200: OK Note added successfully" %}

{% endtab %}

{% tab title="400: Bad Request Invalid drop Id" %}

{% endtab %}
{% endtabs %}

```
// Sample Request Information
Url: https://sandbox.sendstack.africa/api/v1/drops/publicNotes
Method: POST
Headers: 
 - app_id: "your app_id"
 - app_secret: "your app_secret"
```

### Sample Success Data

```json
// Sample Request Body

{ 
    "dropIds": ["65b8c2c734d8cd1be099fd45"], 
    "note": "This is a public info"
}

```

```json
//Sample Response Body - 200 OK
{ 
    "status": true, 
    "message": "Note added successfully", 
    "data": {} 
}
```

### Sample Error Data

```json
// Sample Request Body

{ 
    "dropIds": ["invalidDropId"], 
    "note": "This is a public info"
}

```

```json
//Sample Response Body - 400 Bad Request
{
    "status": false,
    "message": "Invalid drop Id"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendstackhq.com/delivery-api/messaging/send-customer-message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
